CVC4::LemmaInputChannel Class Referenceabstract

`#include <lemma_input_channel.h>`

## Public Member Functions

virtual | ~LemmaInputChannel () throw ()
virtual bool | hasNewLemma ()=0
virtual Expr | getNewLemma ()=0

## Detailed Description

Definition at line 27 of file lemma_input_channel.h.

## Constructor & Destructor Documentation

## ~LemmaInputChannel()

virtual CVC4::LemmaInputChannel::~LemmaInputChannel | ( |  | ) |
throw | ( | ) |  |  |

inlinevirtual

Definition at line 29 of file lemma_input_channel.h.

## Member Function Documentation

## getNewLemma()

virtual Expr CVC4::LemmaInputChannel::getNewLemma | ( |  | ) |

pure virtual

## hasNewLemma()

virtual bool CVC4::LemmaInputChannel::hasNewLemma | ( |  | ) |

pure virtual

The documentation for this class was generated from the following file:

- src/util/lemma_input_channel.h